# Uses of Class
net.shibboleth.idp.authn.principal.impl.AuthenticationResultPrincipalSerializer

Packages that use AuthenticationResultPrincipalSerializer
Package
Description
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of AuthenticationResultPrincipalSerializer in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as AuthenticationResultPrincipalSerializer
Modifier and Type
Field
Description
`private final AuthenticationResultPrincipalSerializer`
DefaultAuthenticationResultSerializer.`authnResultPrincipalSerializer`
Specialized serializer for `AuthenticationResultPrincipal` that requires a circular ref.